## 1.0.5

- Added `AsyncTaskPlatform` and `AsyncTaskPlatformType`.
- `AsyncTask`:
  - Optimize `taskType`
  - Optimize `execute` to use less `asyn` operations.
- Added `AsyncExecutorSharedDataInfo` to report `SharedData` information.
- `AsyncExecutor`:
  - New constructor parameter `parallelismPercentage`. 
  - Optimize `execute`, `executeAll` and `executeAllAndWaitResults` to dispatch less asyn operations.
  - Added `disposeSharedData` and `disposeSharedDataInfo`.
- Extensions:
  - Added `IterableFutureOrExtension` and `IterableFutureExtension`.
- `_AsyncExecutorMultiThread`:
  - Optimized to use less `asyn` operations.
  - Using `_RawReceivePortPool` to optimize ports.
  - Optimized to pre send `SharedData`.
- Added `_RawReceivePortPool`: pool of reusable `_ReceivePort`.
- Added `_ReceivePort`: an optimized `RawReceivePort`.

## 1.0.4

- `AsyncTask`:
  - Allow multiple `SharedData`: Optional method `sharedData`
    now returns a `Map<String,SharedData>`.

## 1.0.3

- `AsyncExecutor`:
  - Fix `close` operation while tasks are being executed.

## 1.0.2

- Added `SharedData`, to optimize data sharing between
  tasks and threads/isolates.
- `AsyncExecutor`: added `close` to stop and finalize an executor.
- Added collections extensions:
  `ListExtension`, `MapExtension`, `SetExtension`, `IterableExtension`.

## 1.0.1

- Fix `pubspec.yaml` description length.
- Improve `README.md` description. 

## 1.0.0

- Implemented `AsyncTask` with `status`, `result` and `executionTime`. 
- `AsyncExecutor` with implementations based on `dart:isolate` and `dart:async`. 
- Initial version.
